Skip to main content
POST
Invite Member

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organisation_id
string
required

Body

application/json
email
string<email>
required
url
string<uri>
required
authUrl
string<uri>
required
inviteType
enum<string>
required
Available options:
transfer_ownership,
join_organisation
roles
string[]

Response

Created

Invitation represents an invitation to join an Organisation. The invitation may be deleted if it is no longer wanted, or a new invitation email can be sent. Accepted invitations are automatically deleted.

id
string<ulid>
required
email
string<email>
required
name
string
required
picture
string<url>
required
accepted
boolean
required
inviteType
enum<string>
required
Available options:
transfer_ownership,
join_organisation
expiresAt
string<date-time>
createdAt
string<date-time>
roles
string[]

Roles are the list of role names to be granted to this Member at the organisation scope.

groupIDs
string[]

GroupIDs are the list of group IDs to be added to this Member.